[Libreoffice-commits] core.git: bin/unpack-sources
David Tardon
dtardon at redhat.com
Fri Aug 9 02:57:40 PDT 2013
bin/unpack-sources | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
New commits:
commit 5621aa6b5cc5151eebc8b7cc591ebd25cd23307f
Author: David Tardon <dtardon at redhat.com>
Date: Fri Aug 9 11:51:58 2013 +0200
fdo#50436 fail if unpacking of tarball failed
Change-Id: Iacad0141a72a12e67e5cc33b2e2196b74a240e81
diff --git a/bin/unpack-sources b/bin/unpack-sources
index 4b0f9be..a6a14ab 100644
--- a/bin/unpack-sources
+++ b/bin/unpack-sources
@@ -75,7 +75,10 @@ for tarball in $tarballs ; do
echo "Unpacking $tarname..."
echo tar -xf "$tarball" -C "$lo_src_dir"
- tar -xf "$tarball" -C "$lo_src_dir"
+ if ! tar -xf "$tarball" -C "$lo_src_dir"; then
+ echo "Error: could not unpack $tarname"
+ exit 1
+ fi
# create symlinks for module directories; ignore git-hooks directory
for dir in `find "$lo_src_dir/$tarname" -mindepth 1 -maxdepth 1 -type d -path $lo_src_dir/$tarname/git-hooks -o -printf "$tarname/%f\n"` ; do
More information about the Libreoffice-commits
mailing list